﻿@using LAP.Model
@model GoalTrackerModel
<div class="card card-custom">
    <partial name="_DashboardCardHeader.cshtml" />
    <div class="card-body pt-0 font-size-lg">
        <div class="d-flex justify-content-between">
            <div class="w-350px">Current Annual Avg. Rate of Return:</div>
            <div class="w-100px text-right">@string.Format("{0:0.00}%", Model.CurrentAnnualAvgRateOfReturn)</div>
            <div class="w-100px"></div>
        </div>
        <div class="d-flex justify-content-between">
            <div class="w-350px">Required Annual Avg. Rate of Return:</div>
            <div class="w-100px text-right">@string.Format("{0:0.00}%", Model.RequiredAnnualAvgRateOfReturn)</div>
            <div class="w-100px">On Target</div>
        </div>
        <div class="d-flex justify-content-between">
            <div class="w-350px">Total Investment Needed at Retirement:</div>
            <div class="w-100px text-right">@string.Format("{0:C0}",Model.TotalInvestmentNeededAtRetirement)</div>
            <div class="w-100px"></div>
        </div>
        <div class="d-flex justify-content-between">
            <div class="w-350px">Projected Value of Investment at Retirement:</div>
            <div class="w-100px text-right">@string.Format("{0:C0}",Model.ProjectedValueOfInvestmentAtRetirement)</div>
            <div class="w-100px">On Target</div>
        </div>
    </div>
</div>